MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000124Soldat Dedicated ServerGeneralpublic2011-10-28 05:092012-02-13 01:45
ReporterSoldatX 
Assigned ToShoozza 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version2.7.2 
Target VersionFixed in Version2.7.3 
Summary0000124: buggy Soldatserver connection after admin client crash
DescriptionI've reported this at ARSSE topic:

[quote author=Prodigyx link=topic=179.msg498595#msg498595 date=1315449586]
SoldatServer 2.7.0 + ARSSE:

[quote](19:40:37) Connecting to 200.98.202.41:23074...
 (19:40:37) Soldat Admin Connection Established.
 (19:40:38) Welcome, you are in command of the server now.
 (19:40:38) List of commands available in the Soldat game Manual.
 Using REFRESHX v2.7.0
 (19:40:38) Server Version: 2.7.0[/quote]

Sometimes ARSSE stops at this last line and don't show data anymore. also we are not able to type commands.

Restarting server solve this issue, but what is happening?
[/quote]

But this is not ARSSE only... this bug is occurs on all soldatserver clients.
Steps To Reproduce1. Open admin client app and connect to server
2. Kill admin app client process
3. Open admin client app and reconnect to server
Additional InformationSoldat Dedicated Server 2.7.0 - 2.7.2
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0000154resolvedShoozza Forcefully closing connection to admin server results in malfunction of admin server 

-  Notes
(0001257)
tmtgr (reporter)
2011-11-17 11:43
edited on: 2011-11-19 11:14

I'll post here everything I know about this bug.
Once the server is in this bugged state all tcp admins don't receive broadcasts from the server and they cannot send any commands to the server. They can however send REFRESHX and receive a REFRESHX response.

(0001260)
SyavX (reporter)
2011-12-13 07:46

Happened with BakaAdmin too, so I guess tmtgr is right
(0001319)
Shoozza (administrator)
2012-02-13 01:45

Should be fixed as bug 154 seems to be a duplicate.

- Issue History
Date Modified Username Field Change
2011-10-28 05:09 SoldatX New Issue
2011-11-17 11:43 tmtgr Note Added: 0001257
2011-11-19 11:14 tmtgr Note Edited: 0001257 View Revisions
2011-12-13 07:46 SyavX Note Added: 0001260
2011-12-21 10:38 Shoozza Summary Soldatserver connection => buggy Soldatserver connection after admin client crash
2011-12-21 10:39 Shoozza Status new => acknowledged
2012-02-13 01:43 Shoozza Relationship added has duplicate 0000154
2012-02-13 01:45 Shoozza Note Added: 0001319
2012-02-13 01:45 Shoozza Status acknowledged => resolved
2012-02-13 01:45 Shoozza Fixed in Version => 2.7.3
2012-02-13 01:45 Shoozza Resolution open => fixed
2012-02-13 01:45 Shoozza Assigned To => Shoozza


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker